
Figure - Bug #119250
【AF】【PVT】【Monkey】0133版本Monkey测试15小时后异常停止
2023-08-16 10:01 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-08-16

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0133

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

测试步骤：

8.15晚上6点开始跑Monkey，VC1设备版本为0133版本

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

测试结果：8.16早上停止，跑测约15小时

日志路径：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/monkey/20230816/Device-2-0133-8.16

History

#1 - 2023-08-17 14:12 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_TSCD 王维

■ 我的分析

------------------

08-16 09:33:36.367  5203  5203 W Monkey  : * Error: A RuntimeException occurred:

08-16 09:33:36.367  5203  5203 W Monkey  : java.lang.SecurityException: Injecting to another application requires INJECT_EVENTS permission

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2425)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.hardware.input.IInputManager$Stub$Proxy.injectInputEvent(IInputManager.java:1379)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1091)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1237)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:711)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:571)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

08-16 09:33:36.367  5203  5203 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEventInternal(InputManagerService.java:885)
08-16 09:33:36.367  5203  5203 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEvent(InputManagerService.java:837)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.hardware.input.IInputManager$Stub.onTransact(IInputManager.java:588)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Binder.execTransactInternal(Binder.java:1179)

08-16 09:33:36.367  5203  5203 W Monkey  :     at android.os.Binder.execTransact(Binder.java:1143)

08-16 09:33:36.367  5203  5203 W Monkey  : 

08-16 09:33:36.367  5203  5203 I Monkey  : Events injected: 284483

08-16 09:33:36.367  5203  5203 I Monkey  : :Sending rotation degree=0, persist=false

08-16 09:33:38.403  5203  5203 I Monkey  : // Generated profiling reports in /data/misc

08-16 09:33:38.404  5203  5203 I Monkey  : :Dropped: keys=201 pointers=10 trackballs=0 flips=0 rotations=0

08-16 09:33:38.404  5203  5203 I Monkey  : ## Network stats: elapsed time=53472219ms (0ms mobile, 0ms wifi, 53472219ms not connected)

08-16 09:33:38.426  5203  5203 W Monkey  : * System appears to have crashed at event 284483 of 12000000 using seed 1234567

------------------

报了上述错误，这个错误代表，在跑monkey时，人为操作了屏幕导致moneky停止

■ 下一步计划

不是异常停止，是由于人为操作屏幕停止的，不是问题

请确认

#2 - 2023-08-17 14:15 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#3 - 2023-08-17 14:15 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#4 - 2023-08-17 14:15 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
